io.vertx.ext.auth.webauthn

## Enum AuthenticatorTransport

- java.lang.Object
- - java.lang.Enum<AuthenticatorTransport>
  - - io.vertx.ext.auth.webauthn.AuthenticatorTransport

- All Implemented Interfaces:
    Serializable, Comparable<AuthenticatorTransport>

      public enum AuthenticatorTransport
      extends Enum<AuthenticatorTransport>

  AuthenticatorTransport https://www.w3.org/TR/webauthn/#enumdef-authenticatortransport

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLE`
    `INTERNAL`
    `NFC`
    `USB`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthenticatorTransport` | `of(String string)`
    `String` | `toString()`
    `static AuthenticatorTransport` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AuthenticatorTransport[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USB

          public static final AuthenticatorTransport USB

    - #### NFC

          public static final AuthenticatorTransport NFC

    - #### BLE

          public static final AuthenticatorTransport BLE

    - #### INTERNAL

          public static final AuthenticatorTransport INTERNAL

  - ### Method Detail

    - #### values

          public static AuthenticatorTransport[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthenticatorTransport c : AuthenticatorTransport.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthenticatorTransport valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<AuthenticatorTransport>`

    - #### of

          public static AuthenticatorTransport of(String string)

Copyright © 2021 Eclipse. All rights reserved.